Skip to main content
GET
Get one automation run with logs and output

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Task ID

automationId
string
required

Automation ID

runId
string
required

Automation run ID

Response

Run retrieved successfully

id
string
Example:

"ear_abc123def456"

createdAt
string<date-time>
updatedAt
string<date-time>
evidenceAutomationId
string
Example:

"aut_abc123def456"

status
enum<string>
Available options:
pending,
running,
completed,
failed,
cancelled
startedAt
string<date-time> | null
completedAt
string<date-time> | null
success
boolean | null
error
string | null
evaluationStatus
enum<string> | null
Available options:
pass,
fail
evaluationReason
string | null
triggeredBy
enum<string>
Available options:
manual,
scheduled,
api
runDuration
integer | null

Run duration in milliseconds

version
integer | null

Script version that was executed; null for a draft run

taskId
string | null
evidenceAutomation
object
logs
string[] | null

Log lines; null when payloadTooLarge is true

output
object | null

Script result (any JSON); null when payloadTooLarge is true

payloadTooLarge
boolean

True when logs and output exceed 100 MB and were omitted

payloadBytes
integer

Combined size of logs and output in bytes